Subject: bug#36725:

From: Tim Cross <[email-masked]>
Date: Fri, 19 Jul 2019 23:03:40 +1000

OK, running the pretest 26.2.90 seems to have resolved the issue. (or the
temp resource unavailable issue reported previously has gone away). At any
rate, seems to be working with 26.2.90

That was doing emacs -Q and then

M-x package-initialise
M-x package-refresh-contents

which previously failed with a "Failed to download 'gnu' archive'

and then did a

M-x package-install <ret> delight <ret)

which reports 1 package installed.

Will now try a full install from my normal init.el. At this stage, issue
seems resolved for me - I will just run the pretest until 26.3 is released.

Tim

On Fri, 19 Jul 2019 at 22:51, Tim Cross <[email-masked]> wrote:

> Yep, I can try the pretest version.
>
> It it helps, I set gnutls log level to 1 and go the following, which makes
> me think the issue is a server issue
>
> Importing package-keyring.gpg...done
> Contacting host: elpa.gnu.org:443
> gnutls.c: [1] (Emacs) connecting to host: elpa.gnu.org
> gnutls.c: [1] (Emacs) allocating credentials
> gnutls.c: [1] (Emacs) setting the trustfile:
>  /etc/ssl/certs/ca-certificates.crt
> gnutls.c: [1] (Emacs) gnutls callbacks
> gnutls.c: [1] (Emacs) gnutls_init
> gnutls.c: [1] (Emacs) got non-default priority string: NORMAL:%DUMBFW
> gnutls.c: [1] (Emacs) setting the priority string
> gnutls.c: [audit] Note that the security level of the Diffie-Hellman key
> exchange has been lowered to 256 bits and this may allow decryption of the
> session data
>
> gnutls.c: [1] (Emacs) non-fatal error: Resource temporarily unavailable,
> try again. [2666 times]
>
> On Fri, 19 Jul 2019 at 22:46, Robert Pluim <[email-masked]> wrote:
>
>> >>>>> On Fri, 19 Jul 2019 21:16:10 +1000, Tim Cross <
>> [email-masked]> said:
>>
>>     Tim> Correction to previous message. Attempting
>> package-refresh-content under
>>     Tim> macOS also now fails with the error "Failed to download 'gnu'
>> archive
>>     Tim> (other archives, such as melpa fine using https).
>>
>>     Tim> Temporary work around is to use http rather than https.
>>
>>     Tim> BTW using eww to visit https://elpa.gnu.org/packages works fine.
>>
>> I reproduced something similar with emacs-26, although eww fails for
>> me.
>>
>> Itʼs fixed by:
>>
>> 202ff53da267f9fa15f438e9c38603bbead6e890 is the first new commit
>> commit 202ff53da267f9fa15f438e9c38603bbead6e890
>> Author: Noam Postavsky <[email-masked]>
>> Date:   Mon May 6 19:55:17 2019 -0400
>>
>>     Handle GNUTLS_E_AGAIN in emacs_gnutls_read (Bug#34341)
>>
>> which is contained in HEAD of the emacs-26 branch and in the 26.2.90
>> pretest at
>> <https://alpha.gnu.org/gnu/emacs/pretest/emacs-26.2.90.tar.xz>
>>
>> Would you be able to test one of those?
>>
>> Regards
>>
>> Robert
>>
>
>
> --
> regards,
>
> Tim
>
> --
> Tim Cross
>
>

-- 
regards,

Tim

--
Tim Cross